astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- PolynomialModel

# PolynomialModel

class `astropy.modeling.polynomial.``PolynomialModel`

  Bases: `astropy.modeling.polynomial.PolynomialBase`

  Base class for polynomial models.

  Its main purpose is to determine how many coefficients are needed based on the polynomial order and dimension and to provide their default values, names and ordering.

  Attributes Summary

  `degree` | Degree of polynomial.

  Methods Summary

  `get_num_coeff`(ndim) | Return the number of coefficients in one parameter set

  Attributes Documentation

  `degree`

    Degree of polynomial.

  Methods Documentation

  `get_num_coeff`(ndim)

    Return the number of coefficients in one parameter set